Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 392433 - x11-libs/qt-gui-4.7.4-r1: desktop file name issues
Summary: x11-libs/qt-gui-4.7.4-r1: desktop file name issues
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal trivial (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-29 16:46 UTC by Toralf Förster
Modified: 2012-01-27 00:36 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2011-11-29 16:46:23 UTC
I think the following 2 file names are not intentional, isn't it ? :

tfoerste@n22 ~ $ ll /usr/share/applications/_usr_bin_*
-rw-r--r-- 1 root root 214 Nov 29 10:48 /usr/share/applications/_usr_bin_designer-qt-gui-4.desktop
-rw-r--r-- 1 root root 221 Nov 29 10:48 /usr/share/applications/_usr_bin_linguist-qt-gui-4.desktop


Reproducible: Always
Comment 1 Davide Pesavento gentoo-dev 2011-12-03 15:18:28 UTC
I agree it's ugly, but those names are generated by make_desktop_entry (eutils.eclass) when the first argument (the binary to run) is an absolute path.
Comment 2 Davide Pesavento gentoo-dev 2012-01-27 00:36:39 UTC
Starting from 4.8.0 (soon in portage), qt-gui and qt-assistant no longer pass absolute paths to make_desktop_entry(), thus this can be considered fixed.